summaryrefslogtreecommitdiffstats
path: root/util/downreport.in
diff options
context:
space:
mode:
Diffstat (limited to 'util/downreport.in')
-rwxr-xr-xutil/downreport.in59
1 files changed, 59 insertions, 0 deletions
diff --git a/util/downreport.in b/util/downreport.in
new file mode 100755
index 0000000..2926c5c
--- /dev/null
+++ b/util/downreport.in
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Reports the list of routers not listed as 'up'.
+
+# Put this in your crontab to run once a day:
+# 0 0 * * * /where/rancid/lives/util/downreport
+
+# It can optionally
+# take a space list of groups on the command line
+# It will use the list of groups defined in env otherwise.
+
+
+ENVFILE="`dirname $0`../bin/env"
+
+. $ENVFILE
+
+if [ $# -ge 1 ] ; then
+ LIST_OF_GROUPS="$*"
+elif [ "$LIST_OF_GROUPS" = "" ] ; then
+ echo "LIST_OF_GROUPS is empty in $ENVFILE"
+ exit 1
+fi
+
+
+for GROUP in $LIST_OF_GROUPS; do
+ (
+ DIR=$BASEDIR/$GROUP
+ if [ -s $DIR/routers.down ]; then
+ (
+
+ cat << EOM
+
+ The following $GROUP routers are listed as other than up.
+
+ Routers listed as "up" in rancid's router.db are polled several
+times daily. This list is of routers that are not listed as up and therefore
+not polled.
+
+EOM
+
+ cat $DIR/routers.down;
+
+ )
+
+ else
+ (
+
+ cat << EOM
+
+ No routers are down/ticketed for router group $GROUP (yay).
+
+EOM
+
+ )
+ fi
+ ) |\
+ Mail -s "Down router report - $GROUP" @MAILPLUS@admin-$GROUP
+
+done